### File

`packages/eui/packages/components-next/src/lib/components/eui-buttons/eui-buttons.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-buttons`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-buttons.component.html`

### Index

###### Properties
Public asService Public currentRoute customActionsContent customLocalMenuContent
###### Methods
Public onBookmarkToggle Public onPrint
###### Inputs
hasLocalMenu isBookmarkable isBookmarked isPrintable localMenuLabel
###### Outputs
bookmarked
###### HostBindings
class

### Constructor

`constructor(asService: UxAppShellService, router: Router)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
router | `Router` | No

### Inputs

hasLocalMenu
Type : `"undefined" | "undefined"`
Default value : `false`

isBookmarkable
Type : `"undefined" | "undefined"`
Default value : `false`

isBookmarked
Type : `"undefined" | "undefined"`
Default value : `false`

isPrintable
Type : `"undefined" | "undefined"`
Default value : `false`

localMenuLabel
Type : `string`

### Outputs

bookmarked
Type : `EventEmitter<any>`

### HostBindings

class

### Methods

Public onBookmarkToggle
`onBookmarkToggle(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

Public onPrint
`onPrint(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

Public currentRoute
Type : `string`

customActionsContent
Type : `QueryList<EuiButtonsActionsContentTagDirective>`
Decorators : `@ContentChild(undefined, {static: false})`

customLocalMenuContent
Type : `QueryList<EuiButtonsLocalMenuContentTagDirective>`
Decorators : `@ContentChild(undefined, {static: false})`

# result-matching ""

# No results matching ""